NameRegister.NameType
Date: 2017-02-10

javax.jmdns.impl

## Enum NameRegister.NameType

- java.lang.Object
- - java.lang.Enum<NameRegister.NameType>
  - - javax.jmdns.impl.NameRegister.NameType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NameRegister.NameType>
  Enclosing interface:
    NameRegister

      public static enum NameRegister.NameType
      extends java.lang.Enum<NameRegister.NameType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HOST` This name represents a host name
    `SERVICE` This name represents a service name

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NameRegister.NameType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NameRegister.NameType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HOST

          public static final NameRegister.NameType HOST

      This name represents a host name

    - #### SERVICE

          public static final NameRegister.NameType SERVICE

      This name represents a service name

  - ### Method Detail

    - #### values

          public static NameRegister.NameType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NameRegister.NameType c : NameRegister.NameType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NameRegister.NameType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null